import React from 'react';
import { PisellModal } from '@pisell/materials';
import { locales } from '@pisell/utils';
import "./index.less";
var OrderProductModal = function OrderProductModal(props) {
  var open = props.open,
    _onCancel = props.onCancel,
    _props$type = props.type,
    type = _props$type === void 0 ? 'cart' : _props$type;
  return /*#__PURE__*/React.createElement(PisellModal.Information, {
    open: open,
    title: type === 'cart' ? locales.getText('pisell2.event.event.full.title') : locales.getText('pisell2.event.capacity.limit.reached.title'),
    describe: type === 'cart' ? locales.getText('pisell2.event.event.full.tip') : locales.getText('pisell2.event.capacity.limit.reached.tip'),
    okText: locales.getText('pisell2.event.event.full.ok'),
    cancelText: "",
    cancelVisible: false,
    closable: true,
    onCancel: function onCancel() {
      return _onCancel();
    },
    onOk: function onOk() {
      return _onCancel();
    },
    zIndex: 1001
  });
};
export default OrderProductModal;